name: 'dcruhr'
recipe: 'drupal9'
config:
  php: '8.1'
  via: 'apache:2.4'
  webroot: 'web'
  database: 'mariadb:10.5'
services:
  appserver:
    build:
      - 'composer install'
    overrides:
      environment:
        PHP_IDE_CONFIG: "serverName=dcruhr.lndo.site"
        DRUSH_OPTIONS_URI: "http://dcruhr.lndo.site"
        XDEBUG_MODE: 'develop,debug'
  node:
    type: 'node:14'
  mailhog:
    type: 'mailhog'
    portforward: true
    hogfrom:
      - 'appserver'
tooling:
  drush:
    service: 'appserver'
    cmd: '/app/vendor/bin/drush'
  node:
    service: 'node'
  npm:
    service: 'node'
  xdebug-on:
    service: 'appserver'
    description: 'Enable xdebug for apache.'
    cmd: 'docker-php-ext-enable xdebug && /etc/init.d/apache2 reload'
    user: 'root'
  xdebug-off:
    service: 'appserver'
    description: 'Disable xdebug for apache.'
    cmd: 'rm /usr/local/etc/php/conf.d/docker-php-ext-xdebug.ini && /etc/init.d/apache2 reload'
    user: 'root'
